/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.3.3
 Text Domain:  bricks
*/

/***** Global *****/
:root {
    --primary-color: #fffbc9;
    --secondary-color: #015469;
    --primary-font: "Poppins", sans-serif;
    color-scheme: light;
}

/****************************************************************************************************************************************/
/************************* WOOCOMMERCE **************************************************************************************************/
/****************************************************************************************************************************************/

body.page-id-8 {
    .cart .coupon {
        display: none;
    }

    .product-thumbnail img {
        border-radius: var(--gap-20);
        border: 2px solid #d4b413;
    }

    tr {
        border-bottom: 1px solid var(--bricks-color-lmpynn);
    }

    .shop_table.shop_table_responsive {
        border-top: none;

    }
}



/**** Woocommerce dashboard, My Account pages ****/
body.page-id-10 {
    .woocommerce {
        .woocommerce-MyAccount-navigation {
            background-color: transparent;
            border: 2px solid var(--bricks-color-lmpynn);
            border-radius: var(--gap-20);
            color: var(--bricks-color-vnjgsm);
        }
    }

    a {
        color: var(--bricks-color-vnjgsm);
    }

    form.woocommerce-ResetPassword {
        width: 500px;
        max-width: 100%;
    }

    form {
        input {
            border-radius: var(--gap-standard);
            padding: 8px 16px;
            margin-bottom: var(--gap-standard);
            color: var(--bricks-color-corxee);
        }

        /* Hlavní vzhled uzavřeného Select2 pole */
        .select2-container--default .select2-selection--single {
            background-color: #fff;
            border: 1px solid #ccc;
            border-radius: var(--gap-standard);
            padding: 8px 16px;
            height: auto;
            display: flex;
            align-items: center;
            color: var(--bricks-color-corxee);
            font-size: inherit;
        }

        /* Vybraný text */
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            color: var(--bricks-color-corxee);
            padding-left: 0;
            line-height: 1.5;
            height: 40px;
            display: flex;
            align-items: center;
        }

        /* Šipka */
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            top: 50%;
            right: 10px;
            transform: translateY(-50%);
        }

        /* Dropdown seznam */
        .select2-container--default .select2-results>.select2-results__options {
            border-radius: var(--gap-standard);
            background-color: #fff;
            color: #000;
            font-size: inherit;
        }

        /* Hover a výběr v dropdownu */
        .select2-container--default .select2-results__option--highlighted {
            background-color: var(--bricks-color-corxee);
            color: #fff;
        }

        fieldset {
            border: none;
            padding: 0;

            legend {
                color: var(--bricks-color-vnjgsm);
                font-weight: 400;
                font-size: clamp(1.125rem, 1.0455rem + 0.2727vw, 1.25rem);
                margin-bottom: 0.5rem;
            }
        }

        button.show-password-input {
            background: transparent;
            margin-top: -25px;
        }

        button[type="submit"] {
            width: 100%;
            background: linear-gradient(0deg, rgba(205, 167, 60, 1) 0%, rgba(239, 213, 90, 1) 40%, rgba(187, 135, 33, 1) 100%) !important;
            padding: 16px 32px;
            border-radius: 99px;
            font-weight: 400;
            transition: all 0.5s;

            &:hover {
                box-shadow: 0 0 20px rgba(255, 255, 255, 0.6), 0 0 40px rgba(255, 255, 255, 0.4);
                transform: translateY(-2px);
            }
        }
    }

    .woocommerce-MyAccount-downloads-file.button,
    .woocommerce-button.button.view {
        background: linear-gradient(0deg, rgba(205, 167, 60, 1) 0%, rgba(239, 213, 90, 1) 40%, rgba(187, 135, 33, 1) 100%) !important;
        padding: 16px 32px;
        border-radius: 99px;
        font-weight: 400;
        transition: all 0.5s;

        &:hover {
            box-shadow: 0 0 20px rgba(255, 255, 255, 0.6), 0 0 40px rgba(255, 255, 255, 0.4);
            transform: translateY(-2px);
        }
    }

}

/* Woocommerce Thank you page */
body.page-id-9.woocommerce-order-received,
body.page-id-10.woocommerce-view-order {
    max-width: 1300px;
    margin-left: auto;
    margin-right: auto;
    padding-top: var(--gap-3x);
    padding-bottom: var(--gap-3x);
    color: #fffbc9;

    .woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received {
        color: #fffbc9;
        font-size: clamp(2.25rem, 2.0455rem + 0.8182vw, 2.7rem);
        line-height: 1.2;
        margin-bottom: 100px;

        @media screen and (max-width: 768px) {
            & {
                margin-bottom: 30px;
            }

        }

    }

    a {
        color: #fffbc9;
    }

    .woocommerce-MyAccount-downloads-file.button,
    .order-again .button {
        background: linear-gradient(0deg, rgba(205, 167, 60, 1) 0%, rgba(239, 213, 90, 1) 40%, rgba(187, 135, 33, 1) 100%) !important;
        padding: 16px 32px;
        border-radius: 99px;
        font-weight: 400;
        transition: all 0.5s;
        color: #015469;

        &:hover {
            box-shadow: 0 0 20px rgba(255, 255, 255, 0.6), 0 0 40px rgba(255, 255, 255, 0.4);
            transform: translateY(-2px);
        }
    }

    .product-quantity {
        background-color: transparent;
    }

    .woocommerce-order-details table tfoot {
        background-color: transparent;
    }
}